package com.ruoyi.ai.service;

import java.util.List;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.ai.domain.AiTag;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * ai-标签管理Service接口
 * 
 * @author shi
 * @date 2025-11-24
 */
public interface IAiTagService {

    /**
     * 查询ai-标签管理
     * 
     * @param id ai-标签管理主键
     * @return ai-标签管理
     */
    AiTag selectAiTagById(Long id);

    /**
     * 查询ai-标签管理列表
     * 
     * @param aiTag ai-标签管理
     * @return ai-标签管理集合
     */
    List<AiTag> selectAiTagList(AiTag aiTag);

    /**
     * 分页查询ai-标签管理列表
     *
     * @param aiTag ai-标签管理
     * @return ai-标签管理集合
     */
    IPage<AiTag> selectAiTagPage(Page page, AiTag aiTag);

    /**
     * 新增ai-标签管理
     * 
     * @param aiTag ai-标签管理
     * @return 结果
     */
    int insertAiTag(AiTag aiTag);

    /**
     * 修改ai-标签管理
     * 
     * @param aiTag ai-标签管理
     * @return 结果
     */
    int updateAiTag(AiTag aiTag);

    /**
     * 批量删除ai-标签管理
     * 
     * @param ids 需要删除的ai-标签管理主键集合
     * @return 结果
     */
    int deleteAiTagByIds(Long[] ids);

    /**
     * 删除ai-标签管理信息
     * 
     * @param id ai-标签管理主键
     * @return 结果
     */
    int deleteAiTagById(Long id);

    boolean checkStatus(Long parentId);

    List<AiTag> selectUserAiTagList(AiTag aiTag);

    List<AiTag> selectAiTagListByIds(String tags, String parentTags);
}
